- Aldebaran documentation |
- C++ Libraries |
- index

libqicore-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Namespaces | Classes | Typedefs | Functions
qi Namespace Reference

## Namespaces
| detail

## Classes
class | FileOperation
class | FileCopyToLocal
class | ProgressNotifier
class | File
class | LogListener
class | LogManager
struct | LogMessage
class | LogProvider
class | TaskCall
class | TaskCall< Future< T > >
class | Task

## Typedefs
using | FileOperationPtr = Object< FileOperation >
| Pointer to a file operation with sharing semantic. More...
using | ProgressNotifierPtr = qi::Object< ProgressNotifier >
| Pointer to a ProgressNotifier with shared/remote semantic. More...
using | FilePtr = qi::Object< File >
| Pointer to a file with shared/remote semantic. More...
using | LogListenerPtr = qi::Object< LogListener >
using | LogProviderPtr = qi::Object< LogProvider >
using | LogManagerPtr = qi::Object< LogManager >

## Functions
FutureSync< void > | copyToLocal (FilePtr file, Path localPath)
ProgressNotifierPtr | createProgressNotifier (Future< void > operationFuture={})
FilePtr | openLocalFile (const qi::Path &localPath)
LogProviderPtr | makeLogProvider (LogManagerPtr logger)
LogProviderPtr | makeLogProvider ()
qi::FutureSync < qi::LogProviderPtr > | initializeLogging (SessionPtr session, const std::string &categoryPrefix="")

## Detailed Description

Author
  Aldebaran Robotics Aldebaran Robotics (c) 2013 All Rights Reserved

## Typedef Documentation

using qi::FileOperationPtr = typedef Object<FileOperation>

Pointer to a file operation with sharing semantic.

Definition at line 205 of file fileoperation.hxx.

using qi::FilePtr = typedef qi::Object<File>

Pointer to a file with shared/remote semantic.

Definition at line 213 of file file.hpp.

typedef qi::Object< LogListener > qi::LogListenerPtr

Definition at line 57 of file loglistener.hpp.

typedef qi::Object< LogManager > qi::LogManagerPtr

Definition at line 42 of file logmanager.hpp.

typedef qi::Object< LogProvider > qi::LogProviderPtr

Definition at line 23 of file logmanager.hpp.

using qi::ProgressNotifierPtr = typedef qi::Object<ProgressNotifier>

Pointer to a ProgressNotifier with shared/remote semantic.

Definition at line 114 of file file.hpp.

## Function Documentation

FutureSync<void> qi::copyToLocal | ( | FilePtr | file,
|  | Path | localPath
| ) |  |

Copy an open local or remote file to a local file system location.

Parameters

  file | Source file to copy.
  localPath | Local file system location where the specified file will be copied. No file or directory should be located at this path otherwise the operation will fail.

Returns
  A synchronous future associated with the operation.

ProgressNotifierPtr qi::createProgressNotifier | ( | Future< void > | operationFuture = `{}` | ) |

Create and provide a remotely shareable ProgressNotifier object.

Parameters

  operationFuture | Optional future of an operation to associate the notifier with.

Returns
  A progress notifier, associated to the operation of the future if provided.

qi::FutureSync<qi::LogProviderPtr> qi::initializeLogging | ( | SessionPtr | session,
|  | const std::string & | categoryPrefix = `""`
| ) |  |

LogProviderPtr qi::makeLogProvider | ( | LogManagerPtr | logger | ) |

LogProviderPtr qi::makeLogProvider | ( |  | ) |

FilePtr qi::openLocalFile | ( | const qi::Path & | localPath | ) |

Open a local file located at the specified path and provide it for reading as a sharable file access.

Warning
  Throws a std::runtime_exception if the provided path is not an existing file path.

Parameters

  localPath | Path to a file on the local file system that can be open.

Returns
  A shareable access to the opened local file.